passenger-stress-test(1)

NAME

passenger-stress-test - stress tests a Phusion Passenger powered website.

SYNOPSIS

passenger-stress-test <hostname> <app_root> [options]

DESCRIPTION

Stress test the given (Phusion Passenger-powered) website by

- crawling it with multiple concurrently running crawlers.

- gracefully restarting Apache at random times

- restarting the target (Phusion Passenger-powered) application at random times

OPTIONS

-c, --concurrency <number>
    Number of crawlers to start (default = 20)

-p, --apache-restart-interval <interval>
    Gracefully restart Apache after <interval> minutes (default = 1440)

-a, --app-restart-interval <interval>
    Restart the application after <interval> minutes (default = 55)

-h, --help
    Output help information and exit.

SEE ALSO

passenger-config(1), passenger-memory-stats(8), passenger-status(8)

User guide at http://www.modrails.com/documentation.html

AUTHOR

Phusion Passenger is written by Phusion (http://www.phusion.nl)

"Phusion" and "Phusion Passenger" are trademarks of Hongli Lai & Ninh Bui.

This manual page was written by Neil Wilson <neil@brightbox.co.uk> for the Ubuntu project (but may be used by others).